# areaChartMultiSeries

#### new areaChartMultiSeries(selection)

Constructor

Source:
  - chart/areaChartMultiSeries.js, line 82

##### Parameters:

Name | Type | Description
--- | --- | ---
`selection` | `d3.selection` | The chart holder D3 selection.

### Methods

#### (static) colors(_v) → {*}

Colors Getter / Setter

Source:
  - chart/areaChartMultiSeries.js, line 211

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array` | Array of colours used by color scale.

##### Returns:

Type:
  `*`

#### (static) colorScale(_v) → {*}

Color Scale Getter / Setter

Source:
  - chart/areaChartMultiSeries.js, line 199

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 color scale.

##### Returns:

Type:
  `*`

#### (static) debug(_v) → {*}

Debug Getter / Setter

Source:
  - chart/areaChartMultiSeries.js, line 240

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `boolean` | Show debug log and stats. True/False.

##### Returns:

Type:
  `*`

#### (static) dimensions(_v) → {*}

Dimensions Getter / Setter

Source:
  - chart/areaChartMultiSeries.js, line 151

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Object` | 3D object dimensions.

##### Returns:

Type:
  `*`

#### (static) height(_v) → {*}

Height Getter / Setter

Source:
  - chart/areaChartMultiSeries.js, line 139

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | X3D canvas height in px.

##### Returns:

Type:
  `*`

#### (static) smoothed() → {*}

Smooth Interpolation Getter / Setter

Options: d3.curveBasis d3.curveLinear d3.curveMonotoneX

Source:
  - chart/areaChartMultiSeries.js, line 228

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v.` | `d3.curve` |

##### Returns:

Type:
  `*`

#### (static) width(_v) → {*}

Width Getter / Setter

Source:
  - chart/areaChartMultiSeries.js, line 127

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | X3D canvas width in px.

##### Returns:

Type:
  `*`

#### (static) xScale(_v) → {*}

X Scale Getter / Setter

Source:
  - chart/areaChartMultiSeries.js, line 163

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) yScale(_v) → {*}

Y Scale Getter / Setter

Source:
  - chart/areaChartMultiSeries.js, line 175

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) zScale(_v) → {*}

Z Scale Getter / Setter

Source:
  - chart/areaChartMultiSeries.js, line 187

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`